Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230853 - 2.6.19* kernels won't suspend / resume laptop; 2.6.18 works fine.
Summary: 2.6.19* kernels won't suspend / resume laptop; 2.6.18 works fine.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-03-03 18:52 UTC by yerazunis
Modified: 2008-02-08 04:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:26:25 UTC


Attachments (Terms of Use)

Description yerazunis 2007-03-03 18:52:50 UTC
Description of problem:

Kernel on FC6 DVD distro (2.6.18) works fine on Dell Inspiron 700m.  However,
the auto-upgrade (if allowed to run) installs various 2.6.19 which will 
either not suspend the laptop or not allow the laptop to resume or get it 
wedged in some intermediate non-responsive but display-off state.

I've reinstalled twice now.  This is getting boring.

Version-Release number of selected component (if applicable):

 # uname -a
 Linux localhost.localdomain 2.6.19-1.2911.fc6 #1 SMP Sat Feb 10 15:03:33 EST 
2007 i686 i686 i386 GNU/Linux
[root@localhost ~]# 





How reproducible:

  100% reproducible.

Steps to Reproduce:

  Install from FC6 dvd.
  Boot.  Note solid-on LED for "run".
  Close lid.
  Laptop suspends.  (note flashing "on" LED for suspend)
  Open lid.  Laptop resumes.

  Allow auto-upgrade to run, which installs 2.6.19 kernel.
  Close lid.
  Laptop doesn't suspend (led stays on solid, current drain stays high).
  Open lid.  Laptop stays with display off and is non responsive except
  to hard power-off (pull battery and AC connection, then reboot).

  
Actual results:

   Laptop does not suspend.  It becomes nonresponsive but continues
   drawing power from battery at normal rates.

Expected results:

   It should suspend.  Note that the FC6 DVD kernel works fine.  

Additional info:

   Allowing the upgrade to run ONCE but keeping around the kernel allows
   demonstration of 2.6.18 working and 2.6.19 not working, even tho other
   software has been updated too.

   This behavior reproducible both on mfg. level A02 BIOS flash (which also
   works fine on Fedora Core 4 and Ubuntu) and also on the newest A07 bios
   flash.

Comment 1 yerazunis 2007-03-04 05:57:51 UTC
This new tonight:

Realization that under 2.6.18 (actually:

  # uname -a
  Linux localhost.localdomain 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT
2006 i686 i686 i386 GNU/Linux
  [root@localhost ~]# 

it actually does not suspend on EVERY lid-closing - but dependably on every
OTHER lid closing.  

No log appears in /var/log/messages for half of the lid closings!  This is
more and more perplexing.
   
   - Bill Yerazunis


Comment 2 Jon Stanley 2008-01-08 01:53:31 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Jon Stanley 2008-02-08 04:26:25 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.